Bug 467418 - (mingw32-libvirt) Review Request: mingw32-libvirt - MinGW Windows libvirt virtualization library
Review Request: mingw32-libvirt - MinGW Windows libvirt virtualization library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-portablexdr mingw32-gettext mingw32-readline mingw32-libgpg-error mingw32-libxml2 mingw32-libgcrypt mingw32-gnutls
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 07:32 EDT by Richard W.M. Jones
Modified: 2016-04-26 20:09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 13:00:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
astokes: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 07:32:49 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=ea00554abe8421a9f5fb4506c9e6b35983a9005e;path=/libvirt/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-libvirt-0.4.6-7.fc9.src.rpm
Description: MinGW Windows libvirt virtualization library

Approved packaging guidelines for MinGW are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Note that all the patches in this have been committed upstream,
including the icons.
Comment 1 Richard W.M. Jones 2009-01-25 08:18:33 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/libvirt/mingw32-libvirt.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-libvirt-0.5.1-1.fc11.src.rpm

* Fri Jan 23 2009 Richard Jones <rjones@redhat.com> - 0.5.1-1
- Rebase to Fedora native version 0.5.1.
- Use find_lang macro.
- Use _smp_mflags.
- Disable static libraries.
Comment 2 Richard W.M. Jones 2009-03-09 11:43:50 EDT
Just to update people, we are possibly going to drop this package
from the Fedora 11 feature requirements.  (That does NOT mean dropping
the package!)  There is discussion going on here:

http://lists.fedoraproject.org/pipermail/fedora-mingw/2009-March/000751.html
Comment 3 Richard W.M. Jones 2009-03-09 13:35:53 EDT
Spec URL: http://www.annexia.org/tmp/mingw32-libvirt.spec
SRPM URL: http://www.annexia.org/tmp/mingw32-libvirt-0.6.1-1.fc11.src.rpm

* Mon Mar  9 2009 Daniel Berrange <berrange@redhat.com> - 0.6.1-1
- Rebase to Fedora native version 0.6.1.

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 0.5.1-4
- Rebuild for mingw32-gcc 4.4

* Fri Jan 30 2009 Richard Jones <rjones@redhat.com> - 0.5.1-3
- Include license file.

* Fri Jan 30 2009 Richard Jones <rjones@redhat.com> - 0.5.1-2
- Requires pkgconfig.
Comment 4 Michel Alexandre Salim 2009-03-13 15:05:59 EDT
Taking this review (hopefully portablexdr gets cleared up soon)
Comment 5 Michel Alexandre Salim 2009-03-13 17:15:56 EDT
configure is testing for GLIB2:

checking for GLIB2... no

but this is probably a (minor) configure.in bug. It looks like GLIB2 is only pulled in if building with DeviceKit support.

Review:

(-) rpmlint: source clean. binary: contains manpage, this should probably be removed
mingw32-libvirt.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/virsh.1

(+) package name
(+) spec file name
(+) package meets guidelines for inclusion
(+) license meets guideline
(+) license field accurate
(-) license not deleted
  COPYING.LIB is included, but COPYING is not
(+) spec language
(+) spec is legible
(+) source meets upstream
(+) package compiles (tested on rawhide i586)
(N/A) excludearch
(+) build deps complete
(+) %find_lang for locales
(N/A) ldconfig for shared libraries
(+) directory ownership
(+) file listing not duplicated
(+) permissions
(+) %clean
(+) macros consistent
(+) package contains code
(N/A) large docs in -doc
(N/A) -doc not needed at runtime
(N/A) headers in -devel (package is for development)
(N/A) static libs in -static
(+) .pc -> req pkgconfig (note: dir ownership provided by mingw32-filesystem)
(N/A) .so in -devel
(N/A) -devel req versioned base

(-) package contains .la archive:
  %{_mingw32_libdir}/libvirt.la

(N/A) desktop file packaging
(+) not owning pre-owned files/dirs
(+) install clears buildroot
(+) filenames UTF-8
Comment 6 Richard W.M. Jones 2009-03-14 09:17:59 EDT
I'll just note here that we don't have a working
PortableXDR at the moment, and are waiting for
Sun to do something about that.
Comment 7 Richard W.M. Jones 2009-06-12 11:39:51 EDT
Michel, before you look at this, note that it
is still waiting on a missing BR.
Comment 8 Ryan O'Hara 2010-07-16 15:41:46 EDT
Just a heads up that mingw32-portablexdr is build and the packages are waiting for review. See the BZ below.

https://bugzilla.redhat.com/show_bug.cgi?id=467324
Comment 9 Daniel Berrange 2010-07-19 13:11:02 EDT
The original review src RPM is horrifically out of date. This is the latest from upstream:

http://berrange.fedorapeople.org/review/mingw32-libvirt/mingw32-libvirt-0.8.2-3.fc12.src.rpm
http://berrange.fedorapeople.org/review/mingw32-libvirt/mingw32-libvirt.spec
Comment 10 Adam Stokes 2010-09-02 10:51:53 EDT
Hi Daniel,

Thanks for posting an updated spec -- I had trouble building this package with a simple `rpmbuild --rebuild src.rpm`

Review below:

MUST: rpmlint must be run on every package. The output should be posted in the review.[1] 
      - pass
MUST: The package must be named according to the Package Naming Guidelines .
      - pass
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
      - pass
MUST: The package must meet the Packaging Guidelines .
      - pass
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
      - pass
MUST: The License field in the package spec file must match the actual license. [3]
      - pass
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
      - fail
MUST: The spec file must be written in American English. [5]
      - pass
MUST: The spec file for the package MUST be legible. [6]
      - pass
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
      - pass
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
      - fail
i686-pc-mingw32-gcc: unrecognized option '-pthread'
testutils.o: In function `virtTestClearLineRegex':
/home/akimbo/rpmbuild/BUILD/libvirt-0.8.2/tests/testutils.c:556: undefined reference to `_regcomp'
/home/akimbo/rpmbuild/BUILD/libvirt-0.8.2/tests/testutils.c:565: undefined reference to `_regexec'
/home/akimbo/rpmbuild/BUILD/libvirt-0.8.2/tests/testutils.c:588: undefined reference to `_regfree'
collect2: ld returned 1 exit status
make[3]: *** [virshtest.exe] Error 1
make[3]: Leaving directory `/home/akimbo/rpmbuild/BUILD/libvirt-0.8.2/tests'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/akimbo/rpmbuild/BUILD/libvirt-0.8.2/tests'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/akimbo/rpmbuild/BUILD/libvirt-0.8.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.aMFViV (%build)

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
      - todo
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
      - todo
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
      - pass (no locales)
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
      - n/a
MUST: Packages must NOT bundle copies of system libraries.[11]
      - n/a
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
      - n/a
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
      - todo
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
      - pass
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
      - todo
MUST: Each package must consistently use macros. [16]
      - pass
MUST: The package must contain code, or permissable content. [17]
      - pass
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
      - n/a
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
      - n/a
MUST: Header files must be in a -devel package. [19]
      - n/a
MUST: Static libraries must be in a -static package. [20]
      - n/a
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
      - n/a
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
      - n/a
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
      - todo
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
      - n/a
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no 
      - todo
Comment 11 Daniel Berrange 2010-09-02 11:02:36 EDT
It looks like you have a mingw32-libgnurx RPM installed - if you build in mock, or remove that RPM it should work without trouble.
Comment 12 Andrew Beekhof 2010-09-02 11:35:01 EDT
Is there a runtime issue if they're both installed?
Comment 13 Daniel Berrange 2010-09-02 11:37:36 EDT
No, its only a compile time issue.
Comment 14 Adam Stokes 2010-09-02 12:01:11 EDT
(In reply to comment #10)
> MUST: If (and only if) the source package includes the text of the license(s)
> in its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.[4]
>       - fail
        SHOULD: please include this in spec at some point

> MUST: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. [7]
        - pass

> MUST: All build dependencies must be listed in BuildRequires, except for any
> that are listed in the exceptions section of the Packaging Guidelines ;
> inclusion of those as BuildRequires is optional. Apply common sense.
        - pass
> MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
        - pass

> MUST: A package must own all directories that it creates. If it does not create
> a directory that it uses, then it should require a package which does create
> that directory. [13]
        - pass

> MUST: Permissions on files must be set properly. Executables should be set with
> executable permissions, for example. Every %files section must include a
> %defattr(...) line. [15]
        - pass
> MUST: Packages must NOT contain any .la libtool archives, these must be removed
> in the spec if they are built.[20]
        - fail
> MUST: Packages must not own files or directories already owned by other
> packages. The rule of thumb here is that the first package to be installed
> should own the files or directories that other packages may rely upon. This
> means, for example, that no 
        - pass
MUST: All filenames in rpm packages must be valid UTF-8. [24]
        - pass

SHOULD: The reviewer should test that the package builds in mock.
        - pass

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
        - pass

Everything looks great except for the packaged libvirt.la, once this is removed I'll approve the package.

Thanks
Comment 15 Andrew Beekhof 2010-09-02 12:13:49 EDT
(In reply to comment #14)
> Everything looks great except for the packaged libvirt.la, once this is removed
> I'll approve the package.

The mingw packaging standards might over-rule this.
I notice:

# find /usr/i686-pc-mingw32/sys-root/mingw -name "*.la" 
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextlib.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libvirt.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libxml2.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libcharset.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libexpat.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libintl.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgnutls-openssl.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libportablexdr.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libasprintf.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libxslt.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgpg-error.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextpo.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libexslt.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libz.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libpcrecpp.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libiconv.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libpcreposix.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextsrc.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libpcre.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgnutls.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgnutls-extra.la
/usr/i686-pc-mingw32/sys-root/mingw/lib/libgcrypt.la
Comment 16 Adam Stokes 2010-09-02 12:21:59 EDT
Yea looks like they include it here:

https://fedoraproject.org/wiki/Packaging:MinGW#Libraries_.28DLLs.29

Approved

Should I go ahead and do the cvs request as well?
Comment 17 Adam Stokes 2010-09-02 12:25:36 EDT
New Package SCM Request
=======================
Package Name: mingw32-libvirt
Short Description: MinGW Windows libvirt
Owners: astokes rohara aphilipoff danpb
Branches: f13 f14
InitialCC: rohara astokes aphilipoff pmyers danpb
Comment 18 Jason Tibbitts 2010-09-02 12:32:11 EDT
You cannot review and approve your own package.
Comment 19 Andrew Beekhof 2010-09-02 13:28:41 EDT
Isn't it Daniel/Richard's package?
Adam is just acting as reviewer and offering to help maintain it.
Comment 20 Richard W.M. Jones 2010-09-02 14:30:27 EDT
It was my package originally, but Daniel did almost all
the recent work on it.
Comment 21 Daniel Berrange 2010-09-03 05:40:19 EDT
New Package SCM Request
=======================
Package Name: mingw32-libvirt
Short Description: MinGW Windows libvirt
Owners: berrange rjones
Branches: f13 f14
Comment 22 Kevin Fenzi 2010-09-05 13:35:11 EDT
Git done (by process-git-requests).
Comment 23 Daniel Berrange 2010-09-08 13:00:38 EDT
Built into rawhide as mingw32-libvirt-0.8.3-1.fc15

Note You need to log in before you can comment on or make changes to this bug.